﻿// task.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

using namespace std;
int main()
{
	vector<int> mas;
	const char data[] = {
   0x55, 0x5b, 0x4c, 0x5e, 0x43, 0x5e, 0xc, 0x53, 0xb, 0x67, 0x5e, 0x54, 0xc, 0xe, 0x19, 0x67, 0x5b, 0xc, 0x56, 0x67, 0x41, 0x8, 0x4d, 0x67, 0x5e, 0x9, 0x56, 0x5c, 0x67, 0x4a, 0xb, 0xc, 0x54, 0x67, 0x5e, 0x54, 0xc, 0xe, 0x7, 0x45
	};
	string test = "ek|nsn<c;Wnd<>)Wk<fWq8}Wn9flWz;<dWnd<>7u";
	char in;
	cin >> in;
	for (int i = 0; i < test.length(); ++i) {
		mas.push_back(data[i] ^ in);
	}

	for (const auto x : mas)
		cout << char(x) << ' ';
}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
